com.corticon.rulesemf.ast

## Interface PrimaryExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PrimaryExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Primary Expression'.

  The following features are supported:

  - `IPrimary Expression`
  See Also:
    `AstPackage.getPrimaryExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPrimaryExpression` | `getIPrimaryExpression()` Returns the value of the 'IPrimary Expression' containment reference
    `void` | `setIPrimaryExpression(IPrimaryExpression value)` Sets the value of the '`IPrimary Expression`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIPrimaryExpression

          IPrimaryExpression getIPrimaryExpression()

      Returns the value of the 'IPrimary Expression' containment reference.

      If the meaning of the 'IPrimary Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'IPrimary Expression' containment reference.
      See Also:
        `setIPrimaryExpression(IPrimaryExpression)`, `AstPackage.getPrimaryExpression_IPrimaryExpression()`

    - #### setIPrimaryExpression

          void setIPrimaryExpression(IPrimaryExpression value)

      Sets the value of the '`IPrimary Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'IPrimary Expression' containment reference.
      See Also:
        `getIPrimaryExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.